package com.cool.bang.modules.business.service;

import com.cool.bang.common.base.BaseIService;
import com.cool.bang.modules.business.domain.Corp;

/**
* 企业信息
*
* @author PeiZhi Guo
* 2024-10-31 17:00
*/
public interface ICorpService extends BaseIService<Corp> {

    /**
     * 通过信用代码查询用户
     */
    Corp queryByIdCard(String idCard);

    /**
     * 通过openid查询用户
     */
    Corp queryByOpenid(String openid);

    /**
     * 解绑
     */
    boolean updateOpenid(Long id);

}
